#include <iostream>
#include <set>
using namespace std;

int main()
{
	int p, q, r;
	cin >> p >> q >> r;

	long long l, d;
	cin >> l >> d;

	// Najgori slucaj je da n nije deljiv ni sa jednim brojem
	int proizvod = p * q * r;
	int imenilac = proizvod - p * q - p * r - q * r;
	if (imenilac == 0)
	{
		int max = p;
		if (max < q) max = q;
		if (max < r) max = r;
		cout << (d - l) / max;
	}
	else
	{
		int gornja_granica = (3 * proizvod) / imenilac;
		if (gornja_granica <= 0)
			cout << 0;
		else
		{
			int br_nemogucih = 0;
			for (int i = l; i <= gornja_granica && i <= d; i++)
			{
				// Floor kolicnika je isto sto i celobrojno deljenje
				// Vazi: ceil(a / b) = floor((a - 1) / b) + 1, odavde sledi izraz ispod
				int izraz = (i - 1) / p + (i - 1) / q + (i - 1) / r + 3;
				if (izraz > i)
					br_nemogucih++;
			}
			cout << d - l - br_nemogucih + 1;
		}
	}

	return 0;
}